version: '3'

services:
  dictation_server:
    container_name: dictation_server_dev_container
    env_file: ../.env
    build: .
    working_dir: /app/dictation_server
    ports:
      - '8081:8081'
    volumes:
      - ../../:/app
      - node_modules:/app/dictation_server/node_modules
    expose:
      - '8081'
    environment:
      - CHOKIDAR_USEPOLLING=true
    depends_on:
      - test_mysql_db
    networks:
      - network
  test_mysql_db:
    image: mysql:8.0-bullseye
    environment:
      MYSQL_ROOT_PASSWORD: root_password
      MYSQL_DATABASE: odms
      MYSQL_USER: user
      MYSQL_PASSWORD: password
    networks:
      - network
networks:
  network:
    name: test_network
volumes:
  node_modules: